<?php
$this->PageTitle = 'Controle de Pós-vendas';

$botoes = '{atividade} {view}';

$this->menu = array(
    array('label' => FaHtml::iconSetaClose(), 'url' => '#', 'linkOptions' => array('class' => 'search-button')),
    array('label' => FaHtml::iconRefresh(), 'url' => 'javascript:void(0);', 'linkOptions' => array('onclick' => 'reloadFrame();', 'class' => 'refresh-button')),
);
?>

<?php
if(!isset($_GET['Clientes'])) {
    if(User::getPrivilegio() == 21) {
        $model->CLI_DT_PROXIMO_POSVENDAS_FINAL = date('d/m/Y', strtotime('+7 days'));
        $model->CLI_DT_PROXIMO_POSVENDAS_FINAL_EMPTY = true;
    }
}

$dataProvider = $model->searchPosVendas();
?>
<div class="search-form" style="display:none" >
    <?php $this->renderPartial('_search_posvendas', array('model' => $model)); ?>
</div><!-- search-form -->

<?php

$this->widget('ext.Utils.widgets.CrmGridView', array(
    'id' => 'admin-grid',
    'dataProvider' => $dataProvider,
    'afterAjaxUpdate'=>'updated',
    'selectableRows' => 1,
    'pager' => Util::getPagerDefaultConfig(),
    'columns' => array(
        array(
            'name' => 'CLI_NOME',
            'value' => 'Util::getNomeImplantacao($data->CLI_NOME, $data->CLI_IMPLANTACAO) . Util::getInfoCliente($data)',
            'type' => 'raw'
        ),
        'CLI_FONE1',
        array(
            'name' => 'CLI_CIDADE',
            'value' => 'GxHtml::valueEx($data->Cidade)',
        ),
        array(
            'name' => 'CLI_DT_POSVENDAS',
            'value' => '$data->CLI_DT_POSVENDAS',
        ),
        array(
            'name' => 'CLI_NOTA_SATISFACAO_SISTEMA',
            'value' => '$data->getSatisfacao("CLI_NOTA_SATISFACAO_SISTEMA")',
            'type' => 'raw'
        ),
        array(
            'name' => 'CLI_NOTA_SATISFACAO_ATENDIMENTO',
            'value' => '$data->getSatisfacao("CLI_NOTA_SATISFACAO_ATENDIMENTO")',
            'type' => 'raw'
        ),
        array(
            'name' => 'CLI_DT_PROXIMO_POSVENDAS',
            'value' => '$data->CLI_DT_PROXIMO_POSVENDAS',
        ),
        array(
            'class' => 'CButtonColumn',
            'template' => $botoes,
            'viewButtonOptions' => array('target' => '_blank'),
            'updateButtonOptions' => array('target' => '_blank'),
            'buttons' => array(
                'atividade' => array(
                    'label' => 'Inserir atividade',
                    'imageUrl' => FaHtml::getImgUrl('ico-solciitacoes.png'),
                    'url' => 'Yii::app()->createUrl("atendimentos/posvendas_create", array("CLI_IDCLIENTE" => $data->CLI_IDCLIENTE))',
                    'options' => array('target' => '_blank'),
                ),
                'view' => array(
                    'label' => 'Exibir',
                    'url' => 'Yii::app()->createUrl("clientes/posvendas_view", array("id" => $data->CLI_IDCLIENTE))',
                ),
            ),
        ),
    ),
));